function [coord, array] = selig(upper, lower)
    % SELIG Output airofil coordinates in the Selig format
    % -----
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % Apache 2.0 License
    % https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox

    % ----------------------------------------------------------------------------------------------

    coord = [flipud(upper); lower(2:end, :)];
    array = num2str(coord, '%0.7f  ');

end
